#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <math.h>
#include <cstdio>
using namespace std;

int koliko(unsigned long long int v)
{
    int k=0;
    unsigned long long int dv=v;
    while (dv/10>0)
    {
        dv=dv/10;
        k++;
    }
    return k;

}

unsigned long long stepen(int n,int dk)
{
    unsigned long long x=1;
    for (int i=0;i<dk;i++)
        x=x*10;
    return x*n;
}

int main()
{
    unsigned long long int v,dv;
    int d;
    int k=0, br=0;
    scanf("%llu",&v);
    dv=v;
    k=koliko(v);
    int dk=k;
    while (dv>0 && dk>=0)
    {
        printf("%d:\t",dk);
        unsigned long long p;
       if (dv>=stepen(5,dk))
       {
           p=stepen(5,dk);
           dv-=p;
           br++;
       }
        if (dv>=stepen(2,dk))
       {
           p=stepen(2,dk);
           dv-=p;
           br++;
       }
        if(dv>=stepen(1,dk))
       {
           p=stepen(1,dk);
           dv-=p;
           br++;
       }
       dk--;
       putchar('\n');
    }
    printf("%d", br);
    return 0;
}